Summary:	JSON::PP for perl core module
Name:		perl-JSON-PP
Version:	4.16
Release:	3%{?dist}
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/JSON-PP
Source0:	https://cpan.metacpan.org/modules/by-module/JSON/JSON-PP-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils, findutils, make, perl-generators, perl-interpreter, perl-ExtUtils-MakeMaker, perl-lib
# Module Runtime
BuildRequires:	perl-libs, perl-Carp, perl-constant, perl-Encode, perl-Exporter, perl-Math-BigInt, perl-overload, perl-Scalar-List-Utils
# Script Runtime
BuildRequires:	perl-Data-Dumper, perl-Getopt-Long
# Test Suite
BuildRequires:	perl-Test, perl-Test-Simple, perl-Tie, perl-Tie-IxHash
# Runtime
Requires:	perl-Data-Dumper, perl-Encode, perl-Math-BigInt, perl-Scalar-List-Utils

%description
JSON::XS is the fastest and most proper JSON module on CPAN. It is written by
Marc Lehmann in C, so must be compiled and installed in the used environment.

JSON::PP is a pure-Perl module and is compatible with JSON::XS.



%prep
%autosetup -n JSON-PP-%{version}



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make -j$(nproc)



%install
make install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}



%check
make test



%files
%doc Changes README
%{_bindir}/json_pp
%{perl_vendorlib}/JSON/
%{_mandir}/man1/json_pp.1*
%{_mandir}/man3/JSON::PP.3*
%{_mandir}/man3/JSON::PP::Boolean.3*



%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.16-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.16-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 Xiaojie Chen <jackxjchen@tencent.com> - 4.16-1
- Upgrade to upstream version 4.16
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.11-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.11-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 10 2022 Zhao Zhen <jeremiazhao@tencent.com> - 4.11-1
- Initial building.
